Subject: Re: bug#24670: Unexpected EOF reading a line (from guix pull) [forward]

From: ng0 <[email-masked]>
Date: Thu, 13 Oct 2016 08:09:42 +0000

The following message has been forwarded to this bug again. There are
some details removed which will not be useful to anyone but me - I don't
think many people are running Gentoo here so I was told to remove the
output of "emerge --info" as this is only useful to recreate a somewhat
similar system.

To reply to your bug (as I wrote before), just reply to the initial info
message or.. If this doesn't get sorted out use
[email-masked]. More on this can be found here:
https://debbugs.gnu.org/Developer.html which took me long enough
myself. The debbugs team of gnu should really document this more
visible.

[email-masked] writes:

> I'm just sending this to you since I think I might have figured out what is
> happening, and I don't know how to respond to bugs via the mailing list.
> Instruction on replying to bugs via the mailing list would be quite a help.
>
> Basically, /var/lib/guix/profiles/per-user/$USER/guix-profile doesn't exist. For
> example, on the root account on my machine (I've run guix pull multiple times as
> root, and even tried to install icecat as a normal user, plus running guix pull
> several times as a normal user) $HOME/.guix-profile points to a nonexistent
> file/directory, and where it points to
> (/var/lib/guix/profiles/per-user/root/guix-profile) simply doesn't exist. I've
> even tried to track down where a profile might exist within /gnu/store, but
> "ls /gnu/store/*profile*" responds with:
>
> ls -1 /gnu/store/*profile*
> 4.0K /gnu/store/ba2bkragdwyb1yhlsqq8idvz7ps4bnqk-profile-builder
> 4.0K /gnu/store/ccbgqxinaimvy0nxi7b9gy1000z533yg-profile-builder
> 4.0K /gnu/store/giplwz9pldknh5v1zmjjxmqcxy2qscai-profile.drv
> 4.0K /gnu/store/h2l6kjwdbdfv4k47ibmgc270p9mbf9d8-profile.drv
> 8.0K /gnu/store/lzmyqhnccl8rppjwiih08xh2wamqg9x3-profiles.scm
> 4.0K /gnu/store/mrj87096jj84x5asicyqmkicfbx0zxwm-profile.drv
> 4.0K /gnu/store/xavk99lizyl83qwqnpirjr9ck68b2wnf-profile-builder
>
> and when I look at what I get from the binary tarball from the website, the
> profile symlinks seem to do as follows (note I extracted this as a normal user
> into $HOME, so dirs might not be exactly the same):
>
> var/guix/profiles/per-user/root/guix-profile -> /var/guix/profiles/per-user/root/guix-profile-1-link
> var/guix/profiles/per-user/root/guix-profile-1-link -> /gnu/store/6wz49d3pxf1dqc0rzmigsp6yr9abbz1x-profile
>
> Note the lack of any suffix on the last line; this simply isn't created via guix
> pull nor by the ebuild, and if guix is simply sourcing these files, this /might/
> explain why this error keeps coming up. It also means that Guix is slightly
> broken because it doesn't handle this file missing in any reasonable manner (I'd
> consider "sane" to be spitting out an error message or, preferably, generating a
> reasonable symlink and related file tree, explaining that it did so and why,
> then proceeding (or giving the user the option to proceed).